Skip to content

Check if the pickup is possible from a given address

POST
/v1/check/pickup/{productId}

Parameters

Path Parameters

productId
required
string
Allowed values: home

The product ID for the delivery type

Request Body required

object
address
required

Street name of the destination.

string
zip
required

Zip code of the destination.

string
city
required

City name of the destination.

string
country
required

Two letter country code of the destination of the package.

string
weight

The weight of the shipment in grams

integer
width

The width of the shipment in millimeters

integer
height

The height of the shipment in millimeters

integer
length

The length of the shipment in millimeters

integer
desiredPickUpDate

The desired date of the pickup. By using this field, only the date entered in the value will be checked.

string format: date

Responses

200

Early bird can perform pickup from the requested address

object
productId
string
Allowed values: home
fallback

True, if fallback option is activated

boolean

404

No pickup option was found for the requested address

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

500

An unexpected error occurred on the server

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

504

Gateway timeout

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable